Skip to main content
GET
List eligible virtual account routes for a user

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

userId
string
required

ID of the user.

Pattern: ^user_[A-Za-z0-9]+$

Query Parameters

limit
integer

default to 10, maximum to 100

Required range: 1 <= x <= 100
fiatCurrency
string

Filter virtual account routes by fiat currency, e.g. USD.

country
string

Filter virtual account routes by destination country (ISO 3166-1 alpha-3).

transferType
enum<string>

Filter virtual account routes by transfer type.

Available options:
ACH,
WIRE,
SWIFT,
RTP,
PIX,
SPEI,
CHATS,
FPS,
CIPS,
SEPA,
INSTAPAY,
PESONET,
NEQUI,
BANK
expand
boolean
default:false

When true, returns the full route object for each eligible route instead of just its ID.

Response

A cursor-paginated list of route IDs (or full route objects, if expand=true) a user is eligible for.

Cursor-paginated list of virtual account routes a user is eligible for. Each entry is a route ID unless expand=true was passed, in which case each entry is the full route object.

data
(string | object)[]
Example:

"var_9aB0xY4mNpXwZ7bV1aLdt"

pagination
object